# Copyright (c) 2007 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# Packmangroup: Development
# Packmanpackagename: php-fpdf
# Packman: Toni Graffy

# norootforbuild

Name:		php-fpdf
Summary:	FPDF - eine PHP Klasse die das Erzeugen von PDF Dokumenten ermöglicht
License:	Freeware
Group:		Development/Libraries/Other
Version:	1.53
Release:	0.pm.c5
Source:		http://www.fpdf.de/downloads/fpdf153.tgz
Source1:	fpdf-manual.pdf
URL:		http://www.fpdf.de/
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch

%description
FPDF ist eine PHP Klasse die das Erzeugen von PDF Dokumenten auf
Basis von PHP ermöglicht, genaugenommen ohne die Verwendung von
PDFlib.

Der Vorteil gegenüber PDFlib ist, dass für eine kommerzielle
Nutzung von PDFlib eine Lizenzgebühr verlangt wird, FPDF jedoch
sowohl für die private als auch die kommerzielle Nutzung kostenlos
ist. Sie können es nach Ihrem Belieben anwenden und nach Ihren
Bedürfnissen anpassen um Ihre Anforderungen zu erfüllen.

%package tutorial
Summary:	FPDF - Tutorial
Group:		Development/Libraries/Other
Requires:	%{name} = %{version}
Requires:	php
# Packmandepends: php-fpdf

%description tutorial
FPDF ist eine PHP Klasse die das Erzeugen von PDF Dokumenten auf
Basis von PHP ermöglicht, genaugenommen ohne die Verwendung von
PDFlib.

Der Vorteil gegenüber PDFlib ist, dass für eine kommerzielle
Nutzung von PDFlib eine Lizenzgebühr verlangt wird, FPDF jedoch
sowohl für die private als auch die kommerzielle Nutzung kostenlos
ist. Sie können es nach Ihrem Belieben anwenden und nach Ihren
Bedürfnissen anpassen um Ihre Anforderungen zu erfüllen.

Die Tutorials unterstützen Sie beim Einstieg in die Arbeit mit FPDF.

%package doc
Summary:	FPDF - Benutzer Dokumentation
Group:		Documentation/HTML
# Packmandepends: php-fpdf

%description doc
FPDF ist eine PHP Klasse die das Erzeugen von PDF Dokumenten auf
Basis von PHP ermöglicht, genaugenommen ohne die Verwendung von
PDFlib.

Der Vorteil gegenüber PDFlib ist, dass für eine kommerzielle
Nutzung von PDFlib eine Lizenzgebühr verlangt wird, FPDF jedoch
sowohl für die private als auch die kommerzielle Nutzung kostenlos
ist. Sie können es nach Ihrem Belieben anwenden und nach Ihren
Bedürfnissen anpassen um Ihre Anforderungen zu erfüllen.

Dieses Paket enthält die Dokumentaton zu php-fpdf.

%prep
%setup -q -n fpdf153

%__install -m 644 %{SOURCE1} .

%build

%install
%__install -dm 755 %{buildroot}%{_datadir}/%{name}
%__install -m 644 *.php \
	%{buildroot}%{_datadir}/%{name}
%__install -dm 755 %{buildroot}%{_datadir}/%{name}/font
%__cp -R font/* \
	%{buildroot}%{_datadir}/%{name}/font

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc *.txt
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.php
%{_datadir}/%{name}/font/*

%files tutorial
%defattr(-, root, root)
%doc tutorial/*

%files doc
%defattr(-, root, root)
%doc *.htm *.css *.pdf
%doc doc/*

%changelog
* Sat Aug 11 2007 Toni Graffy <toni@links2linux.de> - 1.53-0.pm.1
- initial build 1.53
